#ifndef __MVIEW_H
#define __MVIEW_H

#define MAX_LOG_PER_PHY_LINK 10
#define MAX_NODES          5000 /* Maximum # nodes in the MBone */
#define MAX_ROUTE_LEN      1000
#define MAX_IFACE            30 /* Maximum # IP addresses per node */
#define MAX_LINKS          5000 /* Maximum # links in the MBone */
#define MAXCLOUDS          MAX_NODES
#define MAXCLOUDLINKS      MAX_LINKS

/* Debug flags */
#define DB_HANDLERS 0x0001 /* Input handlers */
#define DF_FORCES   0x0002 /* SpringEmbedder */

/* Times */
#define MINUTE 60
#define HOUR   60*MINUTE
#define DAY    24*HOUR
#define WEEK    7*DAY
#define MONTH  30*DAY
#define YEAR   12*MONTH

#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#endif /* __MVIEW_H */
