wm title . "MView v1.0a6"

# MENU BAR
frame .mbar -relief raised -bd 2
pack .mbar -side top -fill x
menubutton .mbar.file -text File -underline 0 -menu .mbar.file.menu
#menubutton .mbar.graph -text Clouds -underline 0 -menu .mbar.graph.menu
menubutton .mbar.node -text Node -underline 0 -menu .mbar.node.menu
menubutton .mbar.goto -text GoTo -underline 2 -menu .mbar.goto.menu
menubutton .mbar.hand -text Utilities -underline 0 -menu .mbar.hand.menu
menubutton .mbar.graphics -text Graphics -underline 0 -menu .mbar.graphics.menu
menubutton .mbar.view -text View -underline 0 -menu .mbar.view.menu
button .mbar.help -text Help -underline 0 -command "help {}" -relief flat
pack .mbar.file .mbar.node .mbar.goto .mbar.hand \
   .mbar.graphics .mbar.view -side left
pack .mbar.help -side right

menu .mbar.file.menu
#.mbar.file.menu add command -label "Postscript..." -command "mv_postscript"
.mbar.file.menu add command -label "Dump source tree" -command "mv_dump_src_tree"
.mbar.file.menu add command -label "Dump path" -command "mv_dump_path"
.mbar.file.menu add command -label "Load mcollect output..." -command "collect"
.mbar.file.menu add command -label "Save" -command "mv_save"
.mbar.file.menu add command -label "Quit" -command "mv_quit"

#menu .mbar.graph.menu
#.mbar.graph.menu add cascade -label "Breakdown" -menu .mbar.graph.menu.break
#.mbar.graph.menu add command -label "Statistics" -command "mv_showstats"
#.mbar.graph.menu add command -label "Parameters" -command "mv_param"
#.mbar.graph.menu add command -label "Rescale to all" -command "rescale_to_all"
#.mbar.graph.menu add command -label "Rescale to bbox" -command "rescale_to_bbox"
#.mbar.graph.menu add command -label "Cloud Variable..." \
#   -command "setCloudVar"

menu .mbar.node.menu
.mbar.node.menu add command -label "Update" -command "mv_force_update_node" \
   -accelerator "u" -underline 0
#.mbar.node.menu add command -label "Mark as logical node" -command "mv_marklogic"
.mbar.node.menu add command -label "Mark as Root" -underline 8 \
   -accelerator "r" -command "mv_markroot"
.mbar.node.menu add command -label "Mark as Source" -underline 8 \
   -accelerator "s" -command "mv_marksrc"
.mbar.node.menu add command -label "Mark as Destination" -underline 8 \
   -accelerator "d" -command "mv_markdest"
.mbar.node.menu add command -label "Dump" -command "mv_dumpnode"
.mbar.node.menu add command -label "Restore" -command "mv_restore"
.mbar.node.menu add separator
.mbar.node.menu add command -label "Delete" -command "mv_delete_node"
.mbar.node.menu add command -label "Add node..." -command "mv_addnode"
.mbar.node.menu add command -label "Add link..." -command "mv_addlink"

menu .mbar.goto.menu
.mbar.goto.menu add command -label "Next Cloud" -command "mv_nextcloud"
.mbar.goto.menu add command -label "Hostname..." -command "mv_find_name"
.mbar.goto.menu add command -label "Next Highlighted Node" -command "mv_nexthl"
.mbar.goto.menu add command -label "Next Hop To Source" -accelerator "^" \
   -command "mv_toSource"

menu .mbar.hand.menu
#.mbar.hand.menu add cascade -label "Automatic Updating" \
#   -menu .mbar.hand.menu.autoupd
.mbar.hand.menu add command -label "Multicast Traceroute (Source to Dest)" -command showMtraceDestSrcPath
.mbar.hand.menu add command -label "Unicast Traceroute (Source to Dest)" \
 -command "do_traceroute"
.mbar.hand.menu add command -label "Show Actual Multicast Tree" -command showMCastTreeForGroup
.mbar.hand.menu add command -label "Show Potential Multicast Tree" -command showMCastTree
.mbar.hand.menu add command -label "finger @node" -command "mv_exec finger @\[mv_fullname \$curr_node\]"
.mbar.hand.menu add command -label "mstat -nl node" -command "mv_exec mstat -nl \[mv_ipstr \$curr_node\]"
.mbar.hand.menu add command -label "nslookup node" -command "mv_nslookup \$curr_node"
.mbar.hand.menu add command -label "Invoke TCL command" -command "mv_tclcmd"
#.mbar.hand.menu add command -label "Show handlers" -command "mv_hps"
.mbar.hand.menu add command -label "Show scheduled activities" -command "mv_dumpevents"

#menu .mbar.hand.menu.autoupd
#.mbar.hand.menu.autoupd add radiobutton -label "Off" \
#   -variable autoupd -value 0
#.mbar.hand.menu.autoupd add radiobutton -label "On" \
#   -variable autoupd -value 1

menu .mbar.graphics.menu
.mbar.graphics.menu add cascade -label "Select Fontsize" \
   -menu .mbar.graphics.menu.fontsize
#.mbar.graphics.menu add cascade -label "Display Level" \
#   -menu .mbar.graphics.menu.iotype
.mbar.graphics.menu add cascade -label "Node Display Criteria" \
   -menu .mbar.graphics.menu.ndmode
.mbar.graphics.menu add cascade -label "Display Terminal Subnets?" \
   -menu .mbar.graphics.menu.terminals
.mbar.graphics.menu add cascade -label "Node Highlighting" \
   -menu .mbar.graphics.menu.nhcond
.mbar.graphics.menu add cascade -label "Node Text" \
   -menu .mbar.graphics.menu.nsvar
.mbar.graphics.menu add cascade -label "Link Display Criteria" \
   -menu .mbar.graphics.menu.ldcond
.mbar.graphics.menu add cascade -label "Link Highlighting" \
   -menu .mbar.graphics.menu.lhcond
.mbar.graphics.menu add cascade -label "Link Text" \
   -menu .mbar.graphics.menu.lsvar
#.mbar.graphics.menu add command -label "Toggle link direction" -underline 5 \
#   -command "mv_dirtoggle"
.mbar.graphics.menu add cascade -label "Node Update Criteria" \
   -menu .mbar.graphics.menu.nimode
.mbar.graphics.menu add cascade -label "Node Coloring" \
   -menu .mbar.graphics.menu.nodecolor

menu .mbar.graphics.menu.nodecolor
.mbar.graphics.menu.nodecolor add command -label "Red..." \
   -command "mv_nodeRed"
.mbar.graphics.menu.nodecolor add command -label "Yellow..." \
   -command "mv_nodeYellow"
.mbar.graphics.menu.nodecolor add command -label "Green..." \
   -command "mv_nodeGreen"

menu .mbar.graphics.menu.fontsize
.mbar.graphics.menu.fontsize add radiobutton -label "80" \
   -variable fontsize -value 80
.mbar.graphics.menu.fontsize add radiobutton -label "100" \
   -variable fontsize -value 100
.mbar.graphics.menu.fontsize add radiobutton -label "120" \
   -variable fontsize -value 120
.mbar.graphics.menu.fontsize add radiobutton -label "140" \
   -variable fontsize -value 140

menu .mbar.graphics.menu.terminals
.mbar.graphics.menu.terminals add radiobutton -label "Yes" \
   -variable terminals -value 1
.mbar.graphics.menu.terminals add radiobutton -label "No" \
   -variable terminals -value 0

#menu .mbar.graphics.menu.iotype
#.mbar.graphics.menu.iotype add radiobutton -label "Application In" \
#   -variable iotype -value 0
#.mbar.graphics.menu.iotype add radiobutton -label "Application Out" \
#   -variable iotype -value 1
#.mbar.graphics.menu.iotype add radiobutton -label "Physical In" \
#   -variable iotype -value 2
#.mbar.graphics.menu.iotype add radiobutton -label "Physical Out" \
#   -variable iotype -value 2

menu .mbar.graphics.menu.lhcond
.mbar.graphics.menu.lhcond add command -label "None" \
   -command "mv_lhcond {linkstate F 0}"
.mbar.graphics.menu.lhcond add command -label "Up" \
   -command "mv_lhcond {linkstate > 1}"
.mbar.graphics.menu.lhcond add command -label "Source tree" \
   -command "mv_lhcond {ontree_link > 1}"
.mbar.graphics.menu.lhcond add command -label "Source-dest path" \
   -command "mv_lhcond {onpath_link > 1}"
.mbar.graphics.menu.lhcond add command -label "Set Custom..." \
   -command "mv_lhcond"

menu .mbar.graphics.menu.nimode
.mbar.graphics.menu.nimode add command -label "None" \
   -command "mv_nicond {nodestate F 0}"
#.mbar.graphics.menu.nimode add radiobutton -label "None" \
#   -variable nimode -value 0
#.mbar.graphics.menu.nimode add radiobutton -label "All" \
#   -variable nimode -value 1
.mbar.graphics.menu.nimode add radiobutton -label "All in micro topology" \
   -variable nimode -value 2
.mbar.graphics.menu.nimode add radiobutton -label "CUSTOM" \
   -variable nimode -value 3 -state disabled
.mbar.graphics.menu.nimode add separator
.mbar.graphics.menu.nimode add command -label "Set Custom..." \
   -command "mv_nicond"

menu .mbar.graphics.menu.ndmode
.mbar.graphics.menu.ndmode add radiobutton -label "Current cloud" \
   -variable ndmode -value 3
.mbar.graphics.menu.ndmode add command -label "Source->Dest Path" \
   -command "mv_ndcond {onpath_node > 1}"
.mbar.graphics.menu.ndmode add radiobutton -label "CUSTOM" \
   -variable ndmode -value 2 -state disabled
.mbar.graphics.menu.ndmode add separator
.mbar.graphics.menu.ndmode add command -label "Set Custom..." \
   -command "mv_ndcond"

menu .mbar.graphics.menu.ldcond
.mbar.graphics.menu.ldcond add command -label "All" \
   -command "mv_ldcond {linkstate T 0}"
.mbar.graphics.menu.ldcond add command -label "Up links (linkstate > 1)" \
   -command "mv_ldcond {linkstate > 1}"
.mbar.graphics.menu.ldcond add command -label "On source tree (ontree_link > 1)" \
   -command "mv_ldcond {ontree_link > 1}"
.mbar.graphics.menu.ldcond add command -label "On source->dest path (onpath_link > 1)" \
   -command "mv_ldcond {onpath_link > 1}"
.mbar.graphics.menu.ldcond add command -label "Set Custom..." \
   -command "mv_ldcond"

menu .mbar.graphics.menu.nsvar
.mbar.graphics.menu.nsvar add command -label "Full name" \
   -command "mv_nsvar fullname {}"
.mbar.graphics.menu.nsvar add command -label "Hostname" \
   -command "mv_nsvar hostname {}"
.mbar.graphics.menu.nsvar add command -label "Organization" \
   -command "mv_nsvar domain {}"
.mbar.graphics.menu.nsvar add command -label "Country" \
   -command "mv_nsvar country {}"
.mbar.graphics.menu.nsvar add command -label "Set Custom..." \
   -command "mv_nsvar"

menu .mbar.graphics.menu.nhcond
.mbar.graphics.menu.nhcond add command -label "None" \
   -command "mv_nhcond {nodestate F 0}"
.mbar.graphics.menu.nhcond add command -label "Source->Dest Path" \
   -command "mv_nhcond {onpath_node > 1}"
.mbar.graphics.menu.nhcond add command -label "Set Custom..." \
   -command "mv_nhcond"

menu .mbar.graphics.menu.lsvar
.mbar.graphics.menu.lsvar add command -label "None" \
   -command "mv_lsvar {} {}"
.mbar.graphics.menu.lsvar add command -label "Metric/Threshold" \
   -command "mv_lsvar metric threshold"
.mbar.graphics.menu.lsvar add command -label "Set Custom..." \
   -command "mv_lsvar"

menu .mbar.view.menu
.mbar.view.menu add command -label "Center" -underline 0\
   -command "mv_center"
.mbar.view.menu add command -label "Zoom in" -underline 0 \
   -command "mv_in; mv_center"
.mbar.view.menu add command -label "Zoom out" -underline 0 \
   -command "mv_out; mv_center"
.mbar.view.menu add command -label "Reset" -underline 0 \
   -command "mv_reset"
.mbar.view.menu add command -label "Flip Left/Right" -underline 5\
   -command "mv_flip h"
.mbar.view.menu add command -label "Flip Top/Bottom" -underline 5 \
   -command "mv_flip v"
.mbar.view.menu add command -label "Rotate CCW" -underline 5 \
   -command "mv_rotate 10" -accelerator "<"
.mbar.view.menu add command -label "Rotate CW" -underline 5 \
   -command "mv_rotate -10" -accelerator ">"

menu .mbar.help.menu
.mbar.help.menu add command -label Quit -command "exit"

#tk_menuBar .mbar .mbar.file .mbar.help

################################################################################
# STAT DISPLAY ON RIGHT SIDE
################################################################################
# Hierarchy is:
#   .r               Frame around right side
#     .r.d           Frame around node information
#       .r.d.label 
#       .nh          Node information header
#         .nh.line2 
#         .nh.line3 
#       .foutlink
#         .outlabel
#         .outlinky
#         .outlinkx
#         .outlinks
#       .finlink
#         .inlabel
#         .inlinky
#         .inlinkx
#         .inlinks
#     .r.hlr         Activities-in-progress box
#        .r.hlr.label
#        .r.hlr.list
#     .r.msg         Message box
################################################################################

# Set up frames
frame .r
pack .r -side right -fill both
frame .r.d -relief raised -borderwidth 4 -width 12c -height 14c
pack propagate .r.d 0
frame .r.hlr -relief raised -bd 4

message .r.msg -width 400 -justify left -relief raised -bd 4 -font $font
pack .r.d -in .r -side top -fill both 
pack .r.hlr .r.msg -in .r -side top -fill both -expand true 

#
# Node header information
#
frame .nh -relief sunken -bd 2
label .r.d.hdr -text {SELECTED NODE}
label .r.d.label -height 1
label .nh.line2 -height 1 -font $font
label .nh.line3 -height 1 -font $font
pack .r.d.hdr .r.d.label -in .r.d -side top 
pack .nh.line2 .nh.line3 -in .nh -side top -anchor w 
pack .nh -in .r.d -side top -fill x

#
# Node's outgoing links
#
frame .foutlink
label .outlabel -text "OUTGOING LINKS\nDestination \[Metric/Threshold/Flags...\]"
listbox .outlinks -font $font -relief sunken -height 10\
        -yscrollcommand ".outlinky set" -xscrollcommand ".outlinkx set"
scrollbar .outlinky -command ".outlinks yview"
scrollbar .outlinkx -command ".outlinks xview" -orient horizontal
bind .outlinks <Button-1> { mv_find_name [lindex [.outlinks get @%x,%y] 0] }
pack .outlabel -in .foutlink -side top
pack .outlinky -in .foutlink -side right -fill y
pack .outlinkx -in .foutlink -side bottom -fill x
pack .outlinks -in .foutlink -fill x -expand true

#
# Node's incoming links
#
frame .finlink
label .inlabel -text "INCOMING LINKS\nOrigin \[Metric/Threshold/Flags...\]"
listbox .inlinks -font $font -relief sunken -height 10\
        -yscrollcommand ".inlinky set" -xscrollcommand ".inlinkx set"
scrollbar .inlinky -command ".inlinks yview"
scrollbar .inlinkx -command ".inlinks xview" -orient horizontal
bind .inlinks <Button-1> { mv_find_name [lindex [.inlinks get @%x,%y] 0] }
pack .inlabel -in .finlink -side top
pack .inlinky -in .finlink -side right -fill y
pack .inlinkx -in .finlink -side bottom -fill x
pack .inlinks -in .finlink -fill x -expand true

pack .foutlink .finlink -in .r.d -fill both -expand true

# Activities-in-progress list
label .r.hlr.label -text "Activities in progress"
listbox .r.hlr.list -font $font -relief sunken -height 8\
        -yscrollcommand ".r.hlr.y set" -xscrollcommand ".r.hlr.x set"
bind .r.hlr.list <Button-1> {selection clear}
scrollbar .r.hlr.y -command ".r.hlr.list yview"
scrollbar .r.hlr.x -command ".r.hlr.list xview" -orient horizontal
pack .r.hlr.label -in .r.hlr -side top
pack .r.hlr.y -in .r.hlr -side right -fill y
pack .r.hlr.x -in .r.hlr -side bottom -fill x
pack .r.hlr.list -in .r.hlr -fill x -expand true

# Real-estate slider
scale .restate -width 10 -command "estate" -showvalue false
pack .restate -side left -fill y
.restate set 67

# Maps
frame .map
pack .map -fill both -expand true
frame .map.top -relief raised -bd 4
 frame .map.top.can
 frame .map.top.bot
  frame .s
  frame .map.top.but
   label .map.top.but.ndhdr -text "Node Display Criterion" -anchor w -justify center
   label .map.top.but.ndcond -relief ridge -bd 2
   label .map.top.but.nhhdr -text "Node Highlight Criterion" -anchor w -justify center
   label .map.top.but.nhcond -relief ridge -bd 2
   label .map.top.but.ldhdr -text "Link Display Criterion" -anchor w -justify center
   label .map.top.but.ldcond  -relief ridge -bd 2
   label .map.top.but.lhhdr -text "Link Highlight Criterion" -anchor w -justify center
   label .map.top.but.lhcond -relief ridge -bd 2
   button .map.top.but.spread -text "Spread out" -command "mv_spread"
   button .map.top.but.tree -text "Display as tree" -command "mv_tree"
   button .map.top.but.postscript -text "Dump postscript..." -command "mv_postscript .c"
frame .map.bot -relief raised -bd 4
 label .map.bot.hdr -text "High-level view of clouds defined by $cloudvar"
 frame .map.bot.can
 frame .map.bot.but

pack .map.top .map.bot -in .map -side top -fill both -expand true
pack .map.top.can -in .map.top -side left 
pack .map.top.bot -in .map.top -side left -fill both -expand true
pack .s -in .map.top.bot -side top
pack .map.top.but -in .map.top.bot -side top -expand true -fill both
pack .map.top.but.ndhdr .map.top.but.ndcond \
     .map.top.but.nhhdr .map.top.but.nhcond \
     .map.top.but.ldhdr .map.top.but.ldcond \
     .map.top.but.lhhdr .map.top.but.lhcond \
     .map.top.but.spread .map.top.but.tree .map.top.but.postscript \
     -in .map.top.but -side top -fill both -expand true

pack .map.bot.hdr .map.bot.can .map.bot.but \
     -in .map.bot -side top -fill x -expand true
button .map.bot.but.change -text "Change cloud definition..." -command "setCloudVar"
button .map.bot.but.spread -text "Spread out" -command "mv_spread high"
button .map.bot.but.postscript -text "Dump postscript..." -command "mv_postscript .highcanvas"
pack .map.bot.but.change .map.bot.but.spread .map.bot.but.postscript \
     -in .map.bot.but -side left -fill x -expand true

# CANVAS
set vpix 14
set hpix  9
set rescaleMode bbox
newCanvas

# Now generate the control window
gen_control

open_high

focus .mbar

mv_nodeRed {nodestate=1}
mv_nodeYellow {nodestate=2}
mv_nodeGreen {nodestate=3}
mv_linkRed {linkstate=1}
mv_linkYellow {linkstate=2}
mv_linkGreen {linkstate=3}
