
/*
**   Path_item: An item for a linked list containing the path from a
**   source to the destination.
*/
typedef struct path_item{
   int      addr;
   int32     distance;
/* int32     thresh; */
   int      suspect;
   int      same_node;
   int      print;
   int32     flags;
   struct   path_item  *next;
}Path_item;

/*
**   Path_stack:  The head of a stack of path elements
*/
typedef struct  path_stack{
        int32    number;
   struct  path_item  *first;
}Path_stack;

int do_mark_source PROTO(( ClientData data, Tcl_Interp *tcl, int argc, char **argv ));
int do_dump_path PROTO(( ClientData data, Tcl_Interp *tcl, int argc, char **argv ));
int do_dump_src_tree PROTO(( ClientData data, Tcl_Interp *tcl, int argc, char **argv ));
int link_in_tree PROTO((int src, int dest));
void find_child_leaf PROTO((int32 sn));
void mark_source PROTO((int n));
int source_parent PROTO((int n));
void init_dest PROTO((int dn));
int source_distance PROTO((int n));
int path_child PROTO((int n));
void guess_path PROTO((int dn,int sn, int val));
