/* Component text */
#define CS_NAME        0
#define CS_USERVAR     1

/* Complink highlight criteria */
#define CLH_NONE       0
#define CLH_LOGLINK    1
#define CLH_CUSTOM     2

/* Assuming the network is already divided into clouds,
 * Fill in user vars for cloud: 
 *   cloudX, cloudY: window coordinates of cloud
 *   cloudLink     : first cloud link
 * For (bi-directional) cloud links: 
 *   cloudlinkA, cloudlinkB: endpoints of the link
 *   cloudlinkNext         : next link out of endpoint A
 */
void calc_high();

char *set_cloudX PROTO((ClientData clientData, Tcl_Interp *interp, char *name1, char *name2, int flags));
char *set_cloudY PROTO((ClientData clientData, Tcl_Interp *interp, char *name1, char *name2, int flags));

int assert_cloudlink PROTO((int a, int b, int ln));
void refresh_high();
void goto_cloud PROTO((int cloud));

extern int csmode;
extern cond_t chcond, clhcond, cscond;
extern int display_ok;
extern int num_cloudnodes;
extern int cloudX PROTO((int cloud_idx));
extern int cloudY PROTO((int cloud_idx));
extern void recalc_high PROTO(());
extern int clwidth PROTO((int ln));
extern char *clcolor PROTO((int ln));
extern void set_cloudlink_highlights PROTO(());
extern int chighlight PROTO((int cloud_idx));
extern int clhighlight PROTO((int ln));
extern int assert_cloudnode PROTO((int a));
extern void remove_cloudlinks PROTO(());
