/* Added by ala */
enum TriVal { yes = 1, no = 0, unknown = 2 };

typedef struct {
   u_int32     localaddr,
               remoteaddr;
   int         vif,
               threshold;
   enum TriVal on_subnet,     /* Is node on subnet with parent?             */
               shares_subnet; /* If node on subnet with parent, does it     *
                               * share the subnet with siblings?            */
   char        version[10];
   int         protocol;      /* protocol used to talk to parent, in prune.h*/
} neighbor_t;

extern void mark_neighbors_on_common_subnet __P((neighbor_t *neighbor,
 int num_neighbors));
extern int mrinfo __P((u_int32 target_addr, u_int32 *level, 
 void *neighbor, int *num_neighbors, int veronly));
extern void init __P(());
